import request from '@/utils/request'

// 查询出库单列表
export function listPmsOrderOut(query) {
  return request({
    url: '/app/pmsOrderOut/list',
    method: 'get',
    params: query
  })
}

// 查询出库单详细
export function getPmsOrderOut(recordId) {
  return request({
    url: '/app/pmsOrderOut/' + recordId,
    method: 'get'
  })
}

// 新增出库单
export function addPmsOrderOut(data) {
  return request({
    url: '/app/pmsOrderOut',
    method: 'post',
    data: data
  })
}

// 修改出库单
export function updatePmsOrderOut(data) {
  return request({
    url: '/app/pmsOrderOut',
    method: 'put',
    data: data
  })
}

// 删除出库单
export function delPmsOrderOut(recordId) {
  return request({
    url: '/app/pmsOrderOut/' + recordId,
    method: 'delete'
  })
}
